Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionSecurityToken`, `ClientWireProtocol.ClientConnectionSecurityToken.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getClientid()` | `string clientid = 2;`
`com.google.protobuf.ByteString` | `getClientidBytes()` | `string clientid = 2;`
`String` | `getDatabase()` | `string database = 1;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 1;`
`boolean` | `getForce()` | `bool force = 10;`
`String` | `getIssuerFingerprint()` | `string issuerFingerprint = 9;`
`com.google.protobuf.ByteString` | `getIssuerFingerprintBytes()` | `string issuerFingerprint = 9;`
`int` | `getMajorClientVersion()` | `int32 majorClientVersion = 4;`
`int` | `getMinorClientVersion()` | `int32 minorClientVersion = 5;`
`String` | `getSecurityToken()` | `string securityToken = 7;`
`com.google.protobuf.ByteString` | `getSecurityTokenBytes()` | `string securityToken = 7;`
`String` | `getSessionID()` | `string sessionID = 6;`
`com.google.protobuf.ByteString` | `getSessionIDBytes()` | `string sessionID = 6;`
`String` | `getTokenSignature()` | `string tokenSignature = 8;`
`com.google.protobuf.ByteString` | `getTokenSignatureBytes()` | `string tokenSignature = 8;`
`String` | `getVersion()` | `string version = 3;`
`com.google.protobuf.ByteString` | `getVersionBytes()` | `string version = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDatabase

String getDatabase()
`string database = 1;`

Returns:
  The database.

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 1;`

Returns:
  The bytes for database.

### getClientid

String getClientid()
`string clientid = 2;`

Returns:
  The clientid.

### getClientidBytes

com.google.protobuf.ByteString getClientidBytes()
`string clientid = 2;`

Returns:
  The bytes for clientid.

### getVersion

String getVersion()
`string version = 3;`

Returns:
  The version.

### getVersionBytes

com.google.protobuf.ByteString getVersionBytes()
`string version = 3;`

Returns:
  The bytes for version.

### getMajorClientVersion

int getMajorClientVersion()
`int32 majorClientVersion = 4;`

Returns:
  The majorClientVersion.

### getMinorClientVersion

int getMinorClientVersion()
`int32 minorClientVersion = 5;`

Returns:
  The minorClientVersion.

### getSessionID

String getSessionID()
`string sessionID = 6;`

Returns:
  The sessionID.

### getSessionIDBytes

com.google.protobuf.ByteString getSessionIDBytes()
`string sessionID = 6;`

Returns:
  The bytes for sessionID.

### getSecurityToken

String getSecurityToken()
`string securityToken = 7;`

Returns:
  The securityToken.

### getSecurityTokenBytes

com.google.protobuf.ByteString getSecurityTokenBytes()
`string securityToken = 7;`

Returns:
  The bytes for securityToken.

### getTokenSignature

String getTokenSignature()
`string tokenSignature = 8;`

Returns:
  The tokenSignature.

### getTokenSignatureBytes

com.google.protobuf.ByteString getTokenSignatureBytes()
`string tokenSignature = 8;`

Returns:
  The bytes for tokenSignature.

### getIssuerFingerprint

String getIssuerFingerprint()
`string issuerFingerprint = 9;`

Returns:
  The issuerFingerprint.

### getIssuerFingerprintBytes

com.google.protobuf.ByteString getIssuerFingerprintBytes()
`string issuerFingerprint = 9;`

Returns:
  The bytes for issuerFingerprint.

### getForce

boolean getForce()
`bool force = 10;`

Returns:
  The force.